Skip to main content

Create User

POST
/user?k={api_key}&c={client_guid}` or `{external_client_guid}

This endpoint creates a new user.

external_user_guid was not previously required in User create and the request will execute without it for backward compatibility, but it is required in all new implementations.

The external_user_guid cannot begin with USR- as this is reserved for the system.

Included in the response is the system-defined master_widget_url, guid, and login_token values.

The value passed as sex can be MALE or FEMALE.

The birthdate must be ISO 8601 format (e.g., 1992-03-28).

The zip_code must be a US Zip code in "nnnnn" or "nnnnn-nnnn" format, or a Canadian Postal Code in "ana nan" format.

Request Information

  • URL: /user?k={api_key}&c={client_guid} or {external_client_guid}
  • Request Type: POST
  • Request Header: Content-Type: application/json
  • Required Parameters: external_user_guid (must be unique within the client)

Request sample

Language:text

_10
{
_10
"external_user_guid":"GUID-1234",
_10
"email":"richard@email.com",
_10
"first_name":"Richard",
_10
"last_name":"Montague",
_10
"phone":"8015551234",
_10
"zip_code":"12345",
_10
"sex":"MALE"
_10
}

Response sample

Language:text

_27
{
_27
"guid":"USR-00dfffb5-62f6-9865-91f4-9d90f",
_27
"external_guid":"GUID-1234",
_27
"external_user_guid":"GUID-1234",
_27
"client_guid":"CLT-0858efd1-2d2e-6a5d-f2b5-c7dad42ef184",
_27
"email":"richard@email.com",
_27
"login_token":"cQQ380Ocyc049z6eRg--tz6Opshfxqz0T6rX2xaD2dwei5H...",
_27
"first_name":"Richard",
_27
"last_name":"Montague",
_27
"phone":"8015551234",
_27
"birthday":null,
_27
"sex":0,
_27
"credit_score":null,
_27
"zip_code":12345,
_27
"master_widget_url":"https://widgets.moneydesktop.com/raja/master?...",
_27
"accounts_widget_url":"https://widgets.moneydesktop.com/raja/accounts?...",
_27
"budgets_widget_url":"https://widgets.moneydesktop.com/raja/budgets?...",
_27
"debts_widget_url":"https://widgets.moneydesktop.com/raja/debts?...",
_27
"net_worth_widget_url":"https://widgets.moneydesktop.com/raja/net_worth?...",
_27
"spending_widget_url":"https://widgets.moneydesktop.com/raja/spending?...",
_27
"transactions_widget_url":"https://widgets.moneydesktop.com/raja/transactions?...",
_27
"status":{
_27
"status":1,
_27
"name":"ENABLED",
_27
"message":""
_27
}
_27
}